﻿

<div class="modal @ModalClass" style="display:@ModalDisplay !important" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title text-center"><span class="oi oi-info text-info"></span> View Nurse Details</h4>
                <button type="button" class="close text-danger" @onclick="() => Close()" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                <div style="display:@dataLoaded">
                    <div class="form-group row">
                        <label for="mobileNo" class="col-sm-4 col-form-label text-right">Registration Id: </label>
                        <div class="col-sm-8">
                            <input type="text" readonly class="form-control" id="mobileNo" @bind="nurseDto.Id">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="name" class="col-sm-4 col-form-label text-right">Name: </label>
                        <div class="col-sm-8">
                            <input type="text" readonly class="form-control" id="name" @bind="nurseDto.Name">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label text-right">Current Hospital: </label>
                        <div class="col-sm-8">
                            <select disabled class="form-control" value="@nurseDto.CurrentHospitalId">
                                <option value="All" selected>All</option>
                                @foreach (var hospital in hospitalList)
                                {
                                    <option value="@hospital.Id">@hospital.Name</option>
                                }
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label text-right">Current Hospital: </label>
                        <div class="col-sm-8">
                            <select class="form-control">
                                @foreach (var hospital in GetExpectHospitalByNurseId(nurseDto.Id))
                                {
                                    <option value="@hospital.Id">@hospital.Name</option>
                                }
                            </select>
                        </div>
                    </div>
                </div>
                <div style="display:@dataLoading">
                    <div class="spinner-grow text-info" role="status">
                        <span class="sr-only">Loading...</span>
                    </div>
                </div>
                <div style="display:@contetntError">
                    <div class="alert alert-warning" role="alert">
                        @contetntErrorMsg
                    </div>
                </div>
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                @if (loggedNurseDto.Email != null && loggedNurseDto.PackageId > 0 && loggedNurseDto.IsActive)
                {
                    <button type="button" class="btn btn-info btn-sm" @onclick="() => complain(nurseDto.Id)" data-dismiss="modal">Complain</button>
                }
                <button type="button" class="btn btn-secondary btn-sm" @onclick="() => Close()" data-dismiss="modal">Close</button>
            </div>
            @if (modalComplain != null)
            {
                <Complain_Nurse @ref="modalComplain"></Complain_Nurse>
            }
        </div>
    </div>
</div>
@code {
    public Complain_Nurse modalComplain = new Complain_Nurse();
    public void complain(long nurseId)
    {
        modalComplain.Open(nurseId);
    }
}